using System.Collections.Generic;

namespace Kav
{
    public class SceneData
    {
        private readonly PointLight[] pointLights = new PointLight[4];
        private readonly List<Model> models = new List<Model>();

        public Camera Camera { get; set; }
        public IEnumerable<Model> Models { get { return models; } }
        public IEnumerable<PointLight> PointLights { get { return pointLights; } }

        public void AddPointLight(int index, PointLight light)
        {
            pointLights[index] = light;
        }

        public void AddModel(Model model)
        {
            models.Add(model);
        }
    }
}
